List passwords
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
read_branch, delete_branch, create_branch, connect_production_branch, connect_production_read_only_branch, connect_branch
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | manage_passwords, manage_production_branch_passwords, manage_read_only_passwords, manage_production_read_only_passwords |
| Database | manage_passwords, manage_production_branch_passwords, manage_read_only_passwords, manage_production_read_only_passwords |
| Branch | manage_passwords, manage_read_only_passwords |
Documentation Index
Fetch the complete documentation index at: https://planetscale.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The name of the organization the password belongs to
The name of the database the password belongs to
The name of the branch the password belongs to
Query Parameters
A read-only region of the database branch. If present, the password results will be filtered to only those in the region
If provided, specifies the page offset of returned results
If provided, specifies the number of returned results
Response
Returns passwords for the branch
The response type. Always "list" for paginated responses.
The current page number
The next page number, or null when this is the last page
The next page of results, or null when this is the last page
The previous page number, or null when this is the first page
The previous page of results, or null when this is the first page

